Skip to content

patchCustomer

Request

Path
idinteger, (int32)required
Bodyapplication/jsonrequired
property name*anyadditional property
PATCH
/api/v1/customer/{id}
curl -i -X PATCH \
  'https://api.prana.software/api/v1/customer/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "property1": null,
    "property2": null
  }'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
activityobject(ApiCustomerActivityListReadDto)

Associated customer activity.

Default:""
brandobject(ApiBrandListReadDto)

Associated brand.

Default:""
vatobject(ApiCustomerVatTypeListReadDto)

Associated VAT type.

Default:""
initialSeasonobject(ApiSeasonListReadDto)

Initial season.

Default:""
countryobject(ApiCountryListReadDto)

Country of residence.

Default:""
stateobject(ApiStateListReadDto)

State/Province of residence.

Default:""
cifstring

Customer CIF/TAX ID.

Default:""
Example:"A12345678"
namestring

Customer name.

Default:""
Example:"ACME Corp"
postalCodestring

Postal code.

Default:""
Example:"28001"
citystring

City name.

Default:""
Example:"Madrid"
firstPhoneNumberstring

Primary phone number.

Default:""
Example:"+34912345678"
secondPhoneNumberstring

Secondary phone number.

Default:""
Example:"+34912345679"
addressstring

Street address.

Default:""
Example:"123 Main Street"
emailstring

Email address.

Default:""
Example:"contact@acme.com"
codeinteger, (int32)

Customer code.

Default:""
Example:1
idKeystring(ApiTaxIdentificationCodeEnum)

Tax identification code type.

Default:""
Enum:"NIF""NIF_IVA""PASSPORT""OFFICIAL_IDENTIFICATION_DOCUMENT""TAX_RESIDENCE_CERTIFICATE""OTHER_DOCUMENT_PROBATIONARY""NOT_REGISTERED"
commercialNamestring

Commercial name.

Default:""
Example:"ACME Corporation"
creationDatestring, (date)

Customer creation date.

Default:""
Example:"2024-01-01"
inactiveDatestring, (date)

Date when customer became inactive.

Default:""
ownSupplierstring

Own supplier reference.

Default:""
invoiceGroupingstring(ApiInvoiceGroupingEnum)

Invoice grouping preference.

Default:""
Enum:"DELIVERY_NOTES""ADDRESSES"
isSingleDeliveryNotePerOrderboolean

Indicates if single delivery note per order.

Default:false
Example:false
showPVPRboolean

Indicates if show PVPR.

Default:false
Example:true
evaluateDeliveryNoteboolean

Indicates if evaluate delivery note.

Default:false
Example:false
servicePriorityinteger, (int32)

Service priority.

Default:""
Example:1
ordersCopiesinteger, (int32)

Number of order copies.

Default:""
Example:1
deliveryNoteCopiesinteger, (int32)

Number of delivery note copies.

Default:""
Example:2
packingCopiesinteger, (int32)

Number of packing copies.

Default:""
Example:1
invoicesCopiesinteger, (int32)

Number of invoice copies.

Default:""
Example:3
activeB2bboolean

Indicates if B2B active.

Default:false
Example:true
b2bUserstring

B2B user identifier.

Default:""
ropoCodestring

ROPO code.

Default:""
Example:"ROPO123"
ropoExpireDatestring, (date)

ROPO expiration date.

Default:""
productSupplierboolean

Indicates if product supplier.

Default:false
Example:false
managerobject(ApiUsersCustomerReadDto)

Account manager.

Default:""
unitsSoldnumber

Total units sold.

Default:""
Example:1000
unitsSendnumber

Total units sent.

Default:""
Example:950
pendingSendnumber

Units pending to send.

Default:""
Example:50
billednumber

Total billed amount.

Default:""
Example:50000
amountDuenumber

Amount due.

Default:""
Example:5000
unpaidnumber

Unpaid amount.

Default:""
Example:2000
customerAddressesArray of objects(ApiCustomerAddressListReadDto)

Customer addresses.

Default:""
geographicalLocationstring(ApiGeographicalLocationEnum)

Geographical location.

Default:""
Enum:"CEUTA_MELILLA_CANARIAS""COMMUNITY""NATIONAL""OTHERS"
languageobject(ApiLanguageListReadDto)

Preferred language.

Default:""
isActiveboolean

Indicates if customer is active.

Default:false
Example:true
paymentMethodobject(ApiPaymentMethodListReadDto)

Default payment method.

Default:""
firstTerminteger, (int32)

First payment term.

Default:""
Example:30
termsinteger, (int32)

Number of terms.

Default:""
Example:1
daysTermsinteger, (int32)

Number of days per term.

Default:""
Example:30
proximityTypestring(ApiProximityTypeEnum)

Proximity type.

Default:""
Enum:"NEARBY""PREVIOUS""LATER"
discount1number

First discount percentage.

Default:""
Example:5
discount2number

Second discount percentage.

Default:""
Example:3
discount3number

Third discount percentage.

Default:""
Example:1
discount4number

Fourth discount percentage.

Default:""
Example:0.5
discountPpnumber

Prepaid discount percentage.

Default:""
Example:2
withholdingnumber

Withholding percentage.

Default:""
Example:19
noProgressiveDiscountsboolean

Indicates if no progressive discounts.

Default:false
Example:false
paymentDay1integer, (int32)

First payment day.

Default:""
Example:5
paymentDay2integer, (int32)

Second payment day.

Default:""
Example:15
paymentDay3integer, (int32)

Third payment day.

Default:""
Example:25
weekdaystring(ApiWeekDayEnum)

Week day for payment.

Default:""
Enum:"MONDAY""TUESDAY""WEDNESDAY""THURSDAY""FRIDAY""SATURDAY""SUNDAY"
accountstring

Bank account number.

Default:""
Example:"ES1234567890123456789012"
swiftstring

SWIFT code.

Default:""
Example:"BBVLES2M"
bicstring

BIC code.

Default:""
Example:"BBVLES2M"
sepaDatestring, (date)

SEPA signature date.

Default:""
currencyobject(ApiCurrencyListReadDto)

Preferred currency.

Default:""
rateCodeobject(ApiRateCodeListReadDto)

Rate code.

Default:""
accountingAccountobject(ApiChartAccountListReadDto)

Accounting account.

Default:""
salesAccountobject(ApiChartAccountListReadDto)

Sales account.

Default:""
bankNamestring

Bank name.

Default:""
Example:"Bank of Spain"
contactPersonstring

Main contact person.

Default:""
Example:"John Doe"
webstring

Customer website.

Default:""
Example:"https://www.acme.com"
modifiedOnstring, (date-time)

Last modification date/time.

Default:""
picturestring

Customer logo/picture URL.

Default:""
pictureTokenstring

Picture authentication token.

Default:""
observationsArray of objects(ApiCustomerObservationListReadDto)

Customer observations.

Default:""
filesArray of objects(ApiCustomerFileListReadDto)

Customer files.

Default:""
documentTemplatesArray of objects(ApiCustomerDocumentTemplateReadDto)

Document template assignments.

Default:""
incomeTaxRatenumber

Income tax rate percentage.

Default:""
Example:21
sameBillingAndShippingAddressboolean

Indicates if same billing and shipping address.

Default:false
Example:false
irpfTypestring(ApiIRPFTypeEnum)

IRPF type.

Default:""
Enum:"LEASES""PROFESIONAL_ACTIVITIES""AGRO""AGRO_REAGP"
tagsArray of strings

Tags associated with the customer.

Default:""
administrativeCenterAccountingOfficestring

Administrative center accounting office code.

Default:""
administrativeCenterManagingBodystring

Administrative center managing body code.

Default:""
administrativeCenterProcessingUnitstring

Administrative center processing unit code.

Default:""
administrativeCenterProposingBodystring

Administrative center proposing body code.

Default:""
vatOperationTypeobject(ApiVatOperationTypeListReadDto)

VAT operation type.

Default:""
validCifboolean

Indicates if CIF is valid.

Default:false
Example:true
cifValidationDatestring, (date-time)

CIF validation date.

Default:""
reportLanguagestring(ApiAllowedLanguagesEnum)

Report language preference.

Default:""
Enum:"EN""ES""CA"
cmsCustomerIdinteger, (int32)

CMS customer identifier.

Default:""
Example:100
cifValidationTypeNamestring(ApiCifValidationTypeNameEnum)

CIF validation type name.

Default:""
Enum:"NAME""COMMERCIAL_NAME"
usersCompany1object(ApiUsersCompanyListReadDto)

First assigned users company.

Default:""
usersCompany2object(ApiUsersCompanyListReadDto)

Second assigned users company.

Default:""
usersCompany3object(ApiUsersCompanyListReadDto)

Third assigned users company.

Default:""
billingSeriesobject(ApiBillingSeriesListReadDto)

Default billing series for sale documents.

Default:""
Response
// No response example